#include <iostream>
#include "stringbuilder.h"

int main()
{
	StringBuilder myStringA;  //default constructor
	StringBuilder myStringB("StringB");  //constructor taking const char *
	StringBuilder myStringC("StringC");  
	StringBuilder myStringD = myStringC;  // copy constructor

	std::cout << "myStringA.str = " << myStringA.getString() << std::endl;
	std::cout << "myStringB.str = " << myStringB.getString() << std::endl;
	std::cout << "myStringC.str = " << myStringC.getString() << std::endl;
	std::cout << "myStringD.str = " << myStringD.getString() << std::endl;

	myStringD = myStringA;
	std::cout << "myStringD.str = " << myStringD.getString() << std::endl;

	return 0;
}